Bug 241589 - Epson CX-3200 prints slowly with frequent pauses after cups update
Epson CX-3200 prints slowly with frequent pauses after cups update
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: FC6Update F7Update
  Show dependency treegraph
Reported: 2007-05-28 09:51 EDT by Mike Cohler
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.2.11-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-02 12:12:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace.log from the test requested above (6.97 MB, text/plain)
2007-05-29 13:22 EDT, Mike Cohler
no flags Details

  None (edit)
Description Mike Cohler 2007-05-28 09:51:01 EDT
Description of problem:Epson printer prints in bursts once the print starts
whereas it did not do so previously.

Version-Release number of selected component (if applicable):cups-1.2.10-7.fc6

How reproducible:Every time

Steps to Reproduce:
1. Turn on the Epson
2. Print a file
3. Printer clanks up as usual
Actual results:As the print starts coming out it frequently pauses for half a
second or so in between lines. so the print comes out in little bursts. It did
not do so before the recent cups update.

The print is fine once it finished but the total time to print a page is a lot
longer than before.

Expected results:Once print starts it should print continuously

Additional info:Running FC6 with KDE desktop. All up to date.

/var/log/cups error_log has
I [27/May/2007:20:17:01 +0100] Adding start banner page "none" to job 90.
I [27/May/2007:20:17:01 +0100] Adding end banner page "none" to job 90.
I [27/May/2007:20:17:01 +0100] Job 90 queued on "Epson" by "mike".
I [27/May/2007:20:17:01 +0100] Started filter /usr/lib/cups/filter/pstops (PID 1
796) for job 90.
I [27/May/2007:20:17:01 +0100] Started filter /usr/lib/cups/filter/pstoraster (P
ID 1797) for job 90.
I [27/May/2007:20:17:01 +0100] Started filter /usr/lib/cups/filter/rastertoprint
er (PID 1798) for job 90.
I [27/May/2007:20:17:01 +0100] Started backend /usr/lib/cups/backend/usb (PID 17
99) for job 90.

/var/log/cups/access_log has not shown any indicated problems.

/var/log/messages has lines:
May 27 20:15:58 home1 kernel: usb 3-1: new full speed USB device using uhci_hcd
and address 5
May 27 20:15:58 home1 kernel: usb 3-1: configuration #1 chosen from 1 choice
May 27 20:15:58 home1 kernel: drivers/usb/class/usblp.c: usblp0: USB Bidirection
al printer dev 5 if 1 alt 0 proto 2 vid 0x04B8 pid 0x0802
May 27 21:01:54 home1 kernel: usb 3-1: USB disconnect, address 5
May 27 21:01:54 home1 kernel: drivers/usb/class/usblp.c: usblp0: removed

This covered the phase where the printer was switched on, used and switched off.

I have tried with a straight redefinition of the printer with defaults apart
from changing page from Letter to A4, and also tried with gutenprint installed
from extras.  In all cases once the printer starts printing even a simple text
file the stuttering symptoms whilst printing are the same.
Comment 1 Tim Waugh 2007-05-29 10:02:56 EDT
I would really appreciate it if you could try the following.

1. Print a fairly lengthy document, enough to keep the printer busy for long
enough for you to perform the remaining steps.
2. When it has started printing, run 'ps axf' in a terminal window and locate
the process whose name starts with 'usb:/' -- it will be one of the child
processes of cupsd.  Remember its PID.
3. Run 'strace -tt -p PID 2>strace.log', as root, with the PID of the usb process.

Then attach the strace.log file to this bug report.  Thanks!
Comment 2 Mike Cohler 2007-05-29 10:28:49 EDT
I will do your suggested test in the next day or so and report back with the output.
Comment 3 Mike Cohler 2007-05-29 13:22:07 EDT
Created attachment 155608 [details]
strace.log from the test requested above 

strace log during a print which was pausing briefly after each line.
Comment 4 Tim Waugh 2007-05-29 14:29:26 EDT
I have a potential fix I'd like you to try out, but I'm having trouble getting
our build system actually build it. :-(

Sorry about this.. I'll let you know when a test package is available.
Comment 5 Mike Cohler 2007-06-09 12:40:16 EDT
I have now updated to F7 on my machine so unfortunately I will not be able to
test any new package for FC6 regarding this bug.  If this means no further devel
is possible please close this bug.
Comment 6 Tim Waugh 2007-06-10 06:51:31 EDT
No problem.  I can give you F-7 test packages.
Comment 7 Mike Cohler 2007-06-10 14:19:43 EDT
The printer is working fine in F7! However I cannot share the printer but that
is already another BZ report reported by another user, and I see that there is a
fix on the way....  
Comment 8 Tim Waugh 2007-06-11 05:04:19 EDT
Yes, F-7 will work fine at the moment -- the paper-out detection code isn't in
that version.  It would be helpful though if you would be willing try a test
version which does do paper-out detection, hopefully in a way that doesn't slow
down printing for you.
Comment 9 Mike Cohler 2007-06-11 16:31:38 EDT
Tim, since this is a production machine I am not keen to test this if there is
no problem. However I have F7 on another machine (laptop) now, and maybe over
the next weekend I may be able to test from there for you. Let me know the
location of the test file (rpm I presume?) and I will test over the weekend. On
the other hand if you are putting a file into updates-testing for F7 I could
install from there.

Comment 10 Fedora Update System 2007-06-11 18:04:00 EDT
cups-1.2.10-12.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Tim Waugh 2007-06-11 18:10:13 EDT
Please try the updates-testing package mentioned in comment #10.  Thanks.
Comment 12 Tim Waugh 2007-06-26 12:42:47 EDT
Have you had a chance to try that package?

yum --enablerepo=updates-testing update 'cups*'
Comment 13 Mike Cohler 2007-06-26 15:31:24 EDT
I have been swamped with work - I will try this evening and let you know.

Comment 14 Mike Cohler 2007-06-26 15:49:23 EDT

I installed these test versions.
Updated: cups.i386 1:1.2.10-12.fc7 cups-libs.i386 1:1.2.10-12.fc7

Printing from the machine that the Epson CX-3200 is connected to works fine and
has no slow printing as described by the original details in this bug. However I
cannot get this printer to be shared. I have removed the original printer
detected by hal, and redefined the printer myself as a usb printer - it works
only on the machine it is connected to. I have restarted cups, and checked that
the firewalls are allowing port 631 - and have even shut down the firewall on
both main machine as well as on the other machine in the network - nothing will
allow the other machine to see this as a shared printer.

Comment 15 Mike Cohler 2007-06-26 15:56:22 EDT
OK I have found that using localhost:631 under Administration I can indeed share
the printer!  Now for some testing!

Comment 16 Mike Cohler 2007-06-26 16:02:16 EDT
Success!  OK with the test versions as quoted in #14 I have allowed HAL to
detect the printer, and with printer sharing allowed from localhost:631
Administrator settings, with firewalls running on both machines with port 631
open I now have good printing from both client and server machines.

Both client and server machines are running F7 fully up to date.

So this version is fully working for me now. I guess you can close this bug?

Many thanks

Comment 17 Fedora Update System 2007-06-27 21:47:19 EDT
cups-1.2.11-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2007-06-29 10:03:01 EDT
cups-1.2.11-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2007-07-02 12:12:19 EDT
cups-1.2.11-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.